Bric::Util::Coll::OCElement(3)

NAME
Bric::Util::Coll::OCElement - Interface for managing collections of Bric::Biz::OutputChannel::Element objects.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-08-07 22:45:13 +0200 (Mon, 07 Aug 2006) $

SYNOPSIS
See Bric::Util::Coll.

DESCRIPTION
See Bric::Util::Coll.

INTERFACE

  Constructors
Inherited from Bric::Util::Coll.

  Destructors

$org->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods

Bric::Util::Coll->class_name()
    Returns the name of the class of objects this collection manages.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Instance Methods

$self = $coll->save
    Saves the changes made to all the objects in the collection

    Throws:

    •   Bric::_get() - Problems retrieving fields.

    •   Unable to connect to database.

    •   Unable to prepare SQL statement.

    •   Unable to execute SQL statement.

    •   Unable to select row.

    •   Incorrect number of args to _set.

    •   Bric::_set() - Problems setting fields.

    Side Effects: NONE.

    Notes: NONE.

PRIVATE

  Private Class Methods

Bric::Util::Coll::OutputChannel->_sort_objs($objs_href)
    Sorts a list of objects into an internally-specified order. This class sorts output channel objects by name.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric, Bric::Util::Coll, Bric::Biz::OutputChannel::Element